Subject: bug#18541: 24.3; ruler-mode: margins are reset when doing next-buffer/previous-buffer

From: Andrea Rossetti <[email-masked]>
Date: Wed, 24 Sep 2014 00:56:19 +0200

Hello, I think I found a bug in ruler-mode,
here's a recipe for it. Start "emacs -Q" and type:

M-x ruler-mode RET 
M-: (set-window-margins nil 10 10) RET

You will see left and right margins will narrow the
sides of *scratch* buffer. Now type

M-x next-buffer RET
M-x previous-buffer RET

  and you will see that the margins have unexpectedly
disappeared, i.e. the *scratch* buffer is shown full-width
without margins.

  May I please ask for a confirm of reproducibility at your side.
And also: does it seem like a bug for you too, or was it just
expected behaviour? 

  Thanks for your time and attention, kindest regards.

  Andrea